SND_PCM_LI(9)

NAME
snd_pcm_lib_preallocate_free_for_all - release all pre-allocated buffers on the pcm

SYNOPSIS

int snd_pcm_lib_preallocate_free_for_all (struct snd_pcm * pcm);

ARGUMENTS

pcm the pcm instance

DESCRIPTION

Releases all the pre-allocated buffers on the given pcm.

Returns zero if successful, or a negative error code on failure.